Subject: bug#31240: 26.1; mouse-save-then-kill does not kill rectangles

From: Tak Kunihiro <[email-masked]>
Date: Fri, 05 Oct 2018 18:28:31 +0900

>> ;; This [buff]er is fo
>> ;; To cr[eate] a file,
>>
>> When I grab a rectangle as shown above, I cannot move the rectangle by
>> 1 char to the left, because of usage of `rectangle-intersect-p'.
>> Behavior on moving up, right, and left seems good.
>
> (setq mouse-drag-and-drop-region 'shift)
>
> dragging the rectangle by one "character to the left" and dropping it
> with the shift key pressed gets me
>
> ;; Thisbuff buffer is for text that is not saved,
> ;; To ceatereate a file, visit it with C-x C-f an

Yes. Dragging the rectangle by one "character to the left" and dropping it
with the shift key pressed work as expected.

start> ;; This [buff]er is for text that is not saved, and for Lisp evaluation.
start> ;; To cr[eate], vie a filsit it with <open> and enter text in its buffer.

goal > ;; Thisbuff buffer is for text that is not saved,
goal > ;; To ceatereate a file, visit it with C-x C-f an

I want to kill the rectangle and yank it to column 7 by dropping it
without the shift key pressed.

       0123456
start> ;; This [buff]er is for text that is not saved,
start> ;; To cr[eate], vie a filsit it with <open> and

goal > ;; This[buff] er is for text that is not saved, and for Lisp evaluation.
goal > ;; To c[eate]r, vie a filsit it with <open> and enter text in its buffer.

When the `inserting' cursor is located at left side of rectangle and on
the same line as the first line of the rectangle, user should be allowed
to move the rectangle, I think.